package com.zheng.demo.sbtest.demo.rest;

import java.util.stream.IntStream;

import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.zheng.demo.sbtest.demo.data.RestReturnData;

@RestController
public class MyRestController {

	@GetMapping("/")
	public ResponseEntity<RestReturnData> getJsonResponse(@RequestParam("input") String input) {
		RestReturnData retD = new RestReturnData(IntStream.range(0, input.length()).map(n -> (n + 1) * 3).toArray(),
				input.length(), input);

		return new ResponseEntity<RestReturnData>(retD, HttpStatus.OK);
	}
}
